Summary:        The build backend used by Hatch
Name:           python-hatchling
Version:        1.13.0
Release:        1%{?dist}

License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        %{pypi_source hatchling}
Source1:      hatchling.1
Source2:      hatchling-build.1
Source3:      hatchling-dep.1
Source4:      hatchling-dep-synced.1
Source5:      hatchling-metadata.1
Source6:      hatchling-version.1

BuildArch:      noarch

BuildRequires:  python3-devel

%description
This is the extensible, standards compliant build backend used by Hatch.


%package -n python3-hatchling
Summary:        %{summary}

%description -n python3-hatchling
This is the extensible, standards compliant build backend used by Hatch.


%prep
%autosetup -n hatchling-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hatchling

install -t '%{buildroot}%{_mandir}/man1' -D -pm0644 \
    '%{SOURCE1}' \
    '%{SOURCE2}' \
    '%{SOURCE3}' '%{SOURCE4}' \
    '%{SOURCE5}' \
    '%{SOURCE6}'

rm -f %{buildroot}%{python3_sitelib}/hatchling-%{version}.dist-info/licenses/LICENSE.txt

%files -n python3-hatchling -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/hatchling
%{_mandir}/man1/hatchling.1*
%{_mandir}/man1/hatchling-*.1*


%changelog
* Thu Sep 21 2023 Miaojun Dong <zoedong@tencent.com> - 1.13.0-1
- Bump version to 1.13.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 cunshunxia <cunshunxia@tencent.com> - 1.11.1-1
- initial build
